# OnContextLoaded class final

Annotation to mark a method that should run when the application context has been loaded, but before it is fully refreshed.

This lifecycle hook is useful for modifying or inspecting the context immediately after it has been constructed, but before pods/services are refreshed and initialized.

The only acceptable method signatures are:

- No-Arg: The method should not accept any arguments.
- One-Arg: The method should accept a single argument of type `ConfigurableApplicationContext`.

### Example

    class MyApp {
      @OnContextLoaded()
      void inspectContext() {
        print("Context has been loaded, inspecting pods...");
      }

      @OnContextLoaded()
      void inspectContextWithContext(ConfigurableApplicationContext context) {
        print("Context has been loaded, inspecting pods...");
      }
    }

Inheritance
  - Object
  - ReflectableAnnotation
  - OnContextLoaded
Annotations
  - @Target({TargetKind.method})

## Constructors

OnContextLoaded.new()
  Annotation to mark a method that should run when the application context has been loaded, but before it is fully refreshed.
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter override
hashCode → int
  Returns a hash code consistent with equality definition.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  inherited

## Operators

operator ==(Object other) → bool
  Checks if this annotation is equal to another object.
  inherited